Bug 842190 - CPUfreq governor
CPUfreq governor
Status: MODIFIED
Product: Fedora Documentation
Classification: Fedora
Component: power-management-guide (Show other bugs)
devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Yoana Ruseva
Fedora Docs QA
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-22 19:17 EDT by h479627
Modified: 2015-09-27 23:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description h479627 2012-07-22 19:17:49 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 h479627 2012-07-22 19:31:18 EDT
Sorry, I hit enter on accident when filling out the title and it submitted the form before I could describe the bug.  It's not a big deal, but I'd suggest clarifying how to enable a governor in section 3.2.2.  Right now it's a bit unclear how to enable a particular governer. All it says is enter the following command:

echo [governor] > /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor

This is unclear to me because my first thought was to use "cpufreq_powersave" (or whatever governor I wanted to use) in place of [governor].  However, this didn't work and gave me the following error:

bash: echo: write error: Invalid argument

After googling I found the correct command to be the following:

echo powersave > /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor

Maybe an example would help clarify how to do this correctly.


For reference, here's the page I was using:
http://docs.fedoraproject.org/en-US/Fedora/17/html/Power_Management_Guide/cpufreq_setup.html
Comment 2 Jack Reed 2012-10-25 00:08:09 EDT
Thanks for reporting this. I've updated Procedure 3.2 in commit 	d36218d91d98182861ddb5ebad0b37e8cca2f08b

As you suggested, I've given an example to illustrate what part of the full governor name is required in the command.

Note You need to log in before you can comment on or make changes to this bug.